## ghex 42.3

=== meson_options.txt ===
# meson may 'purposely' not provide a docdir variable, but some distros
# like Slackware still like to specify that docs should be installed in @prefix/doc
option('docdir', type: 'string', value: 'share/doc', description: 'docdir (defaults to: share/doc)')

option('development', type: 'boolean', value: false, description: 'If this is a development build')
option('mmap-buffer-backend', type : 'boolean', value: true, description: 'Build mmap buffer backend')
option('introspection', type: 'feature', value: 'auto', description: 'Generate gir data (requires gobject-introspection)')
option('gtk_doc', type: 'boolean', value: false, description: 'Build reference manual (requires gtk-doc)')
option('static-html-help', type: 'boolean', value: false, description: 'Install static HTML help files (for systems without Yelp)')

## ghex 3.0.0

=== debian/changelog ===
ghex (3.0.0-1) unstable; urgency=low

  * New upstream release.
    - Fixes format string error. (Closes: #643386)
    - Ported to GNOME 3 / GTK 3 removing dependencies on deprecated libraries
      like libgnomeprint. (Closes: #542554)
  * Update watch file.
  * Switch to dpkg source format 3.0 (quilt).
    - Add debian/source/format.
    - Remove simple-patchsys.mk include.
  * Bump debhelper compatibility level to 8.
    - Bump Build-Depends on debhelper.
    - Strip debian/tmp/ from .install files.
  * debian/control.in:
    - Drop Build-Depends on libgnomeui-dev, libgnomeprintui2.2-dev,
      libpopt-dev and gconf2.
    - Update Build-Depends on libgtk2.0-dev to libgtk-3-dev (>= 3.0.0).
    - Update Build-Depends on libgail-dev to libgail-3-dev.
    - Bump Build-Depends on intltool to (>= 0.41.1).
    - Bump Build-Depends on gnome-doc-utils to (>= 0.9.0).
    - Add Build-Depends on libglib2.0-dev (>= 2.26).
    - Bump Standards-Version to 3.9.2.
    - Add Vcs-* fields.
    - Add Homepage field.
    - Set pkg-gnome-maintainers@lists.alioth.debian.org as Maintainer.
  * Update for libgtkhex SONAME bump.
    - Rename libgtkhex0 → libgtkhex-3-0.
    - Rename libgtkhex0-dev → libgtkhex-3-dev.
    - Bump minimum shlibs version to 3.0.0.
  * The main binary was renamed from ghex2 → ghex.
    - Rename and update manpage.
    - Update menu file.
  * debian/rules:
    - Remove some cruft which is no longer necessary.

 -- Michael Biebl <biebl@debian.org>  Fri, 07 Oct 2011 03:04:20 +0200

ghex (2.24.0-1) unstable; urgency=low

  [ Loic Minier ]
  * Properly anchor package name regexp.
  * Fix section of man page.

  [ Sebastian Dröge ]
  * New upstream stable release.
  * debian/control.in:
    + Update Standards-Version to 3.8.0 (no additional changes needed).
    + Build depend on intltool.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 19 Feb 2009 07:30:06 +0100

ghex (2.22.0-1) unstable; urgency=low

  * New upstream stable release.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 11 Apr 2008 14:47:24 +0200

ghex (2.21.92-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 27 Feb 2008 08:49:08 +0100

ghex (2.21.90-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 31 Jan 2008 10:02:01 +0100

ghex (2.21.4-1) unstable; urgency=low

  * New upstream development release; API additions; bug fixes; translation
    update.
    - Targetted at unstable since the changes seem stable.
    - Bump up shlibs to >= 2.21.4.
    - Fixes incorrect version in the .pc file; thanks Luca Bruno.
    - Update watch file to track all versions.
  * Don't hardcode the lib package name.
  * Cleanup rules.
  * Wrap build-deps and deps.

 -- Loic Minier <lool@dooz.org>  Fri, 18 Jan 2008 15:34:01 +0100

ghex (2.20.1-1) unstable; urgency=low

  [ Loic Minier ]
  * Stop shipping *.la files in libgtkhex0-dev.
  * Add a get-orig-source target to retrieve the upstream tarball.

  [ Kilian Krause ]
  * Use binary:version and source:Version for binnNMU-safe uploads as
    added in dpkg-dev 1.13.19. Add to Build-Depends accordingly

  [ Sebastian Dröge ]
  * New upstream release:
    + Fixes crash while searching an ASCII string (Closes: #416480).
    + Fixes freeze when search reaches the end of a file (Closes: #373712).
    + debian/control.in:
      + Update build dependencies.
      + Let the -dev package depend on libgail-dev, libgtk2.0-dev and
        libatk1.0-dev.
  * debian/control.in,
    debian/compat:
    + Update Standards-Version to 3.7.3 (no additional changes needed).
    + Update to debhelper compat level 5.
  * debian/watch:
    + Updated for the new version.
  * debian/ghex.menu:
    + Fix menu file section.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 10 Dec 2007 08:14:05 +0100

ghex (2.8.2-3) unstable; urgency=low

  * Revert changes of 2.8.2-2 as release team explained that a simple
    re-upload is enough for non-bin-NMU-able packages, and that bin-NMU-able
    packages should be taken care of by them.
  * Move the ghex package to the end of control to ensure it's built after
    libghex. (Closes: #364862)
    [debian/control, debian/control.in]

 -- Loic Minier <lool@dooz.org>  Wed, 26 Apr 2006 11:49:52 +0200

ghex (2.8.2-2) unstable; urgency=low

  * Add empty patches dir.
    [debian/patches]
  * Bump up build-deps to libgnomeui-dev >= 2.14.1-1, libgnomeprintui2.2-dev
    >= 2.12.1-3, libgail-dev >= 1.8.11-1+b1 to avoid any reference to
    Xrender.la and Xcursor.la in .la files.
    [debian/control, debian/control.in]
  * Stop shipping *.la files in libgtkhex0-dev.
    [debian/libgtkhex0-dev.install]

 -- Loic Minier <lool@dooz.org>  Sun, 23 Apr 2006 20:32:32 +0200

ghex (2.8.2-1) unstable; urgency=low

  * New upstream release, mostly translations updates and additions.
  * Add CDBS' utils, and simple-patchsys.
    [debian/rules]
  * Bump up Standards-Version to 3.6.2.
    [debian/control, debian/control.in]
  * Add a ${misc:Depends} dep to libgtkhex0-dev.
    [debian/control, debian/control.in]
  * Drop obsolete Conflicts/Replaces on libgtkhex0 and libgtkhex0-dev.
    [debian/control, debian/control.in]
  * Update download URL.
    [debian/copyright]
  * Update license.
    [debian/copyright]
  * Install schema in ghex.
    [debian/ghex.install]
  * Drop obsolete and dangerous postinst, everything is now handled by
    gnome.mk (dh_scrollkeeper and dh_gconf).
    [debian/postinst]
  * Fix quoting in menu file.
    [debian/menu]

 -- Loic Minier <lool@dooz.org>  Fri, 10 Mar 2006 14:40:06 +0100

ghex (2.8.1-1) unstable; urgency=low

  * New upstream release.

 -- Sebastien Bacher <seb128@debian.org>  Tue, 19 Oct 2004 13:20:01 +0200

ghex (2.8.0-2) unstable; urgency=low

  * Upload in unstable:
    - in fact this is not a GNOME 2.8 desktop part, this version runs fine
      with GNOME 2.6.

 -- Sebastien Bacher <seb128@debian.org>  Sun, 17 Oct 2004 16:59:37 +0200



=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: ghex
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Loic Minier <lool@dooz.org>, Michael Biebl <biebl@debian.org>, Sebastian Dröge <slomo@debian.org>
Build-Depends: cdbs,
               gnome-pkg-tools,
               debhelper (>= 8),
               libgtk-3-dev (>= 3.0.0),
               libgail-3-dev,
               libglib2.0-dev (>= 2.26),
               libatk1.0-dev (>= 1.0.0),
               gettext,
               intltool (>= 0.41.1),
               scrollkeeper,
               gnome-doc-utils (>= 0.9.0)
Standards-Version: 3.9.2
Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/packages/unstable/ghex
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/ghex
Homepage: http://live.gnome.org/Ghex

Package: libgtkhex-3-0
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: GNOME Hex editor for files (shared library)
 The GHex program can view and edit files in two ways, hex or ascii. Good 
 for editing saved game files.
 .
 This package contains the shared library.

Package: libgtkhex-3-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         libgtkhex-3-0 (= ${binary:Version}),
         libgail-3-dev,
         libgtk-3-dev
Description: GNOME Hex editor for files (development headers)
 The GHex program can view and edit files in two ways, hex or ascii. Good 
 for editing saved game files.
 .
 This package contains the development headers.

Package: ghex
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: GNOME Hex editor for files
 The GHex program can view and edit files in two ways, hex or ascii. Good 
 for editing saved game files.

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/ghex/([\d\.]+)/ \
        ghex-(.*)\.tar\.bz2

## ghex 3.3.90

=== debian/changelog ===
ghex (3.3.90-0ubuntu1) precise; urgency=low

  * New upstream release.
    - Fix excessive scrolling back to cursor
    - Remove the use of deprecated GTK+ API
    - Visual improvements with latest Adwaita theme
  * debian/watch: Watch for unstable releases

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 21 Feb 2012 08:31:24 -0500

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,9 @@
 Source: ghex
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Loic Minier <lool@dooz.org>, Michael Biebl <biebl@debian.org>, Sebastian Dröge <slomo@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Loic Minier <lool@dooz.org>, Michael Biebl <biebl@debian.org>, Sebastian Dröge <slomo@debian.org>
 Build-Depends: cdbs,
                gnome-pkg-tools,
                debhelper (>= 8),

=== debian/rules ===
#!/usr/bin/make -f

libgtkhexN := $(shell sed -rn 's/^Package:[[:space:]]*(libgtkhex[0-9-]+)[[:space:]]*$$/\1/p' debian/control | head -n 1)

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

DEB_DH_MAKESHLIBS_ARGS_$(libgtkhexN) += -V"$(libgtkhexN) (>= 3.0.0)"

DEB_INSTALL_MANPAGES_ghex += debian/ghex.1

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/ghex/([\d\.]+)/ \
        ghex-(.*)\.tar\.xz

## ghex 3.3.91

=== debian/changelog ===
ghex (3.3.91-0ubuntu1) precise; urgency=low

  * New upstream release.
  * debian/control.in:
    - Bump minimum glib and gtk for switch to gresource

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 05 Mar 2012 14:06:52 -0500

## ghex 3.4.0

=== debian/changelog ===
ghex (3.4.0-0ubuntu1) precise; urgency=low

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 02 Apr 2012 10:02:06 +0200

=== debian/control ===
--- 
+++ 
@@ -12,9 +12,9 @@
 Build-Depends: cdbs,
                gnome-pkg-tools,
                debhelper (>= 8),
-               libgtk-3-dev (>= 3.0.0),
+               libgtk-3-dev (>= 3.3.8),
                libgail-3-dev,
-               libglib2.0-dev (>= 2.26),
+               libglib2.0-dev (>= 2.31.10),
                libatk1.0-dev (>= 1.0.0),
                gettext,
                intltool (>= 0.41.1),

## ghex 3.4.1

=== debian/changelog ===
ghex (3.4.1-1) unstable; urgency=low

  * New upstream translation release.

 -- Michael Biebl <biebl@debian.org>  Tue, 15 May 2012 15:23:18 +0200

ghex (3.4.0-1) unstable; urgency=low

  * New upstream release.
  * debian/watch: Track .xz tarballs.
  * Bump Build-Depends on libglib2.0-dev to (>= 2.31.10).
  * Bump Build-Depends on libgtk-3-dev to (>= 3.3.8).
  * Bump Standards-Version to 3.9.3.
  * Add symbols file for libgtkhex-3-0.

 -- Michael Biebl <biebl@debian.org>  Thu, 19 Apr 2012 16:53:32 +0200

## ghex 3.5.1

=== debian/changelog ===
ghex (3.5.1-0ubuntu1) quantal-proposed; urgency=low

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 09 Jul 2012 15:22:21 +1200

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,8 @@
 Source: ghex
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Loic Minier <lool@dooz.org>, Michael Biebl <biebl@debian.org>, Sebastian Dröge <slomo@debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Loic Minier <lool@dooz.org>, Michael Biebl <biebl@debian.org>, Sebastian Dröge <slomo@debian.org>
 Build-Depends: cdbs,
                gnome-pkg-tools,
                debhelper (>= 8),
@@ -20,7 +19,7 @@
                intltool (>= 0.41.1),
                scrollkeeper,
                gnome-doc-utils (>= 0.9.0)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/packages/unstable/ghex
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/ghex
 Homepage: http://live.gnome.org/Ghex

## ghex 3.5.2

=== debian/changelog ===
ghex (3.5.2-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 17 Jul 2012 10:00:17 +1200

## ghex 3.5.91

=== debian/changelog ===
ghex (3.5.91-0ubuntu1) quantal; urgency=low

  * New upstream bugfix release

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 18 Sep 2012 16:50:26 +1200

ghex (3.5.90-0ubuntu1) quantal; urgency=low

  * New upstream release.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 20 Aug 2012 16:55:03 -0400

## ghex 3.6.0

=== debian/changelog ===
ghex (3.6.0-0ubuntu1) quantal; urgency=low

  * New upstream stable release

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 25 Sep 2012 10:43:19 +1200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 # 
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
-
 Source: ghex
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Loic Minier <lool@dooz.org>, Michael Biebl <biebl@debian.org>, Sebastian Dröge <slomo@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>, Sebastian Dröge <slomo@debian.org>
 Build-Depends: cdbs,
                gnome-pkg-tools,
                debhelper (>= 8),

## ghex 3.6.1

=== debian/changelog ===
ghex (3.6.1-0ubuntu1) raring; urgency=low

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 06 Nov 2012 18:04:09 +0100

## ghex 3.8.0

=== debian/changelog ===
ghex (3.8.0-0ubuntu1) saucy; urgency=low

  * New upstream version
  * debian/control.in:
    - build-depends on yelp-tools rather than gnome-doc-utils and 
      scrollkeeper
  
 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 07 May 2013 13:37:31 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>, Sebastian Dröge <slomo@debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
 Build-Depends: cdbs,
                gnome-pkg-tools,
                debhelper (>= 8),
@@ -17,9 +17,8 @@
                libatk1.0-dev (>= 1.0.0),
                gettext,
                intltool (>= 0.41.1),
-               scrollkeeper,
-               gnome-doc-utils (>= 0.9.0)
-Standards-Version: 3.9.3
+               yelp-tools
+Standards-Version: 3.9.4
 Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/packages/unstable/ghex
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/ghex
 Homepage: http://live.gnome.org/Ghex

## ghex 3.8.1

=== debian/changelog ===
ghex (3.8.1-1ubuntu2) trusty; urgency=medium

  * Reverted the changes in 3.8.1-1ubuntu1 as a preventative measure.
    Removing gettext macros can apparently break translations.
  * Doing a manual libtool update instead to fix FTBFS on ppc64el.

 -- Logan Rosen <logan@ubuntu.com>  Thu, 30 Jan 2014 22:12:32 -0500

ghex (3.8.1-1ubuntu1) trusty; urgency=medium

  * Use dh-autoreconf to get new libtool macros for ppc64el.
  * Build-depend on gnome-common to fix missing macro after autoreconf.
  * Remove gettext macros so that only libtoolize creates po/Makefile.in.in.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 25 Jan 2014 01:48:37 -0500

ghex (3.8.1-1) unstable; urgency=low

  * New upstream release.
  * Port to new documentation infrastructure. Use yelp-tools instead of
    gnome-doc-utils.
  * Bump Standards-Version to 3.9.4. No further changes.

 -- Michael Biebl <biebl@debian.org>  Fri, 14 Jun 2013 00:05:20 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Michael Biebl <biebl@debian.org>, Sebastian Dröge <slomo@debian.org>
 Build-Depends: cdbs,
                gnome-pkg-tools,
                debhelper (>= 8),
@@ -17,6 +17,7 @@
                libatk1.0-dev (>= 1.0.0),
                gettext,
                intltool (>= 0.41.1),
+               scrollkeeper,
                yelp-tools
 Standards-Version: 3.9.4
 Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/packages/unstable/ghex

## ghex 3.10.1

=== debian/changelog ===
ghex (3.10.1-1) unstable; urgency=low

  [ Jeremy Bicha ]
  * Don't build-depend on scrollkeeper

  [ Michael Biebl ]
  * New upstream release.
  * Bump Standards-Version to 3.9.5.
  * Update homepage URL.

 -- Michael Biebl <biebl@debian.org>  Tue, 02 Sep 2014 23:17:59 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 # 
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
+
 Source: ghex
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Michael Biebl <biebl@debian.org>, Sebastian Dröge <slomo@debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Loic Minier <lool@dooz.org>, Michael Biebl <biebl@debian.org>, Sebastian Dröge <slomo@debian.org>
 Build-Depends: cdbs,
                gnome-pkg-tools,
                debhelper (>= 8),
@@ -17,12 +17,11 @@
                libatk1.0-dev (>= 1.0.0),
                gettext,
                intltool (>= 0.41.1),
-               scrollkeeper,
                yelp-tools
-Standards-Version: 3.9.4
-Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/packages/unstable/ghex
+Standards-Version: 3.9.5
+Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/ghex
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/ghex
-Homepage: http://live.gnome.org/Ghex
+Homepage: https://wiki.gnome.org/Apps/Ghex
 
 Package: libgtkhex-3-0
 Architecture: any

## ghex 3.18.0

=== debian/changelog ===
ghex (3.18.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove Debian menu entry.
  * Bump Standards-Version to 3.9.6.

 -- Michael Biebl <biebl@debian.org>  Mon, 28 Sep 2015 15:26:25 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,11 @@
 # 
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
-
 Source: ghex
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Loic Minier <lool@dooz.org>, Michael Biebl <biebl@debian.org>, Sebastian Dröge <slomo@debian.org>
+Uploaders: Michael Biebl <biebl@debian.org>, Sebastian Dröge <slomo@debian.org>
 Build-Depends: cdbs,
                gnome-pkg-tools,
                debhelper (>= 8),
@@ -18,7 +17,7 @@
                gettext,
                intltool (>= 0.41.1),
                yelp-tools
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/ghex
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/ghex
 Homepage: https://wiki.gnome.org/Apps/Ghex

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
 -include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
 
-DEB_DH_MAKESHLIBS_ARGS_$(libgtkhexN) += -V"$(libgtkhexN) (>= 3.0.0)"
+DEB_DH_MAKESHLIBS_ARGS_$(libgtkhexN) += -V -- -c4
 
 DEB_INSTALL_MANPAGES_ghex += debian/ghex.1

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/ghex/([\d\.]+[02468])/ \
        ghex-(.*)\.tar\.xz

## ghex 3.18.1

=== debian/changelog ===
ghex (3.18.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.8.
  * Bump debhelper compatibility level to 9.
  * Convert to multiarch.

 -- Michael Biebl <biebl@debian.org>  Wed, 11 May 2016 15:31:27 +0200

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Michael Biebl <biebl@debian.org>, Sebastian Dröge <slomo@debian.org>
-Build-Depends: cdbs,
+Build-Depends: cdbs (>= 0.4.93~),
                gnome-pkg-tools,
-               debhelper (>= 8),
+               debhelper (>= 9),
                libgtk-3-dev (>= 3.3.8),
                libgail-3-dev,
                libglib2.0-dev (>= 2.31.10),
@@ -17,14 +17,16 @@
                gettext,
                intltool (>= 0.41.1),
                yelp-tools
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/ghex
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/ghex
+Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/ghex
 Homepage: https://wiki.gnome.org/Apps/Ghex
 
 Package: libgtkhex-3-0
 Architecture: any
+Multi-Arch: same
 Section: libs
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Description: GNOME Hex editor for files (shared library)
@@ -35,6 +37,7 @@
 
 Package: libgtkhex-3-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
 Depends: ${misc:Depends},
          libgtkhex-3-0 (= ${binary:Version}),

=== debian/rules ===
--- 
+++ 
@@ -12,3 +12,4 @@
 
 DEB_INSTALL_MANPAGES_ghex += debian/ghex.1
 
+DEB_CONFIGURE_EXTRA_FLAGS += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)

## ghex 3.18.2

=== debian/changelog ===
ghex (3.18.2-2) unstable; urgency=medium

  * Add Build-Depends on desktop-file-utils for desktop-file-validate which
    is used during "make check".

 -- Michael Biebl <biebl@debian.org>  Tue, 21 Jun 2016 18:42:48 +0200

ghex (3.18.2-1) unstable; urgency=medium

  * New upstream release.
  * Convert from cdbs to dh.

 -- Michael Biebl <biebl@debian.org>  Sat, 18 Jun 2016 23:27:45 +0200

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Michael Biebl <biebl@debian.org>, Sebastian Dröge <slomo@debian.org>
-Build-Depends: cdbs (>= 0.4.93~),
+Build-Depends: debhelper (>= 9),
                gnome-pkg-tools,
-               debhelper (>= 9),
+               desktop-file-utils,
                libgtk-3-dev (>= 3.3.8),
                libgail-3-dev,
                libglib2.0-dev (>= 2.31.10),

=== debian/rules ===
#!/usr/bin/make -f

-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

%:
	dh $@ --with gnome

override_dh_makeshlibs:
	dh_makeshlibs -V -- -c4

## ghex 3.18.3

=== debian/changelog ===
ghex (3.18.3-4) unstable; urgency=medium

  * Add X-Ubuntu-Use-Langpack to opt in to Ubuntu language pack handling
    (LP: #1779574)
  * Bump Standards-Version to 4.2.1

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 04 Sep 2018 15:05:10 -0400

ghex (3.18.3-3) unstable; urgency=medium

  * Update Vcs fields for migration to https://salsa.debian.org/
  * Bump debhelper compat to 11

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 03 Feb 2018 21:48:54 -0500

ghex (3.18.3-2) unstable; urgency=medium

  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 16 Dec 2017 11:46:22 -0500

ghex (3.18.3-1) unstable; urgency=medium

  * New upstream release.
  * Bump debhelper compat level to 10.
  * Add Build-Depends on gnome-common, required by autoreconf.

 -- Michael Biebl <biebl@debian.org>  Wed, 12 Oct 2016 15:50:03 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 # This file is autogenerated. DO NOT EDIT!
-# 
+#
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
 Source: ghex
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Michael Biebl <biebl@debian.org>, Sebastian Dröge <slomo@debian.org>
-Build-Depends: debhelper (>= 9),
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
+Build-Depends: debhelper (>= 11),
                gnome-pkg-tools,
+               gnome-common,
                desktop-file-utils,
                libgtk-3-dev (>= 3.3.8),
                libgail-3-dev,
@@ -17,9 +18,10 @@
                gettext,
                intltool (>= 0.41.1),
                yelp-tools
-Standards-Version: 3.9.8
-Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/ghex
-Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/ghex
+Standards-Version: 4.2.1
+X-Ubuntu-Use-Langpack: yes
+Vcs-Browser: https://salsa.debian.org/gnome-team/ghex
+Vcs-Git: https://salsa.debian.org/gnome-team/ghex.git
 Homepage: https://wiki.gnome.org/Apps/Ghex
 
 Package: libgtkhex-3-0

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with gnome

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

## ghex 3.18.4

=== debian/changelog ===
ghex (3.18.4-1) unstable; urgency=medium

  * New upstream release
  * Build with meson (Closes: #829823)
  * Build-Depend on debhelper-compat 12 and drop debian/compat
  * Build-Depend on dh-sequence-gnome instead of gnome-pkg-tools
  * Bump Standards-Version to 4.4.0

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 22 Sep 2019 12:57:17 -0400

ghex (3.18.3-5) unstable; urgency=medium

  * Add -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 24 Dec 2018 09:34:20 -0500

=== debian/control ===
--- 
+++ 
@@ -7,18 +7,16 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 11),
-               gnome-pkg-tools,
-               gnome-common,
+Build-Depends: debhelper-compat (= 12),
                desktop-file-utils,
+               dh-sequence-gnome,
                libgtk-3-dev (>= 3.3.8),
                libgail-3-dev,
                libglib2.0-dev (>= 2.31.10),
                libatk1.0-dev (>= 1.0.0),
-               gettext,
-               intltool (>= 0.41.1),
-               yelp-tools
-Standards-Version: 4.2.1
+               itstool,
+               meson (>= 0.37.0)
+Standards-Version: 4.4.0
 X-Ubuntu-Use-Langpack: yes
 Vcs-Browser: https://salsa.debian.org/gnome-team/ghex
 Vcs-Git: https://salsa.debian.org/gnome-team/ghex.git

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed

%:
	dh $@

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

## ghex 3.41.0

=== debian/changelog ===
ghex (3.41.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum meson to 0.50.0
  * debian/ghex.docs: AUTHORS was removed & README is now README.md
  * debian/rules: Simplify a bit
  * Bump Standards-Version to 4.6.0

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 24 Sep 2021 18:02:04 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper-compat (= 12),
                desktop-file-utils,
                dh-sequence-gnome,
@@ -15,8 +15,8 @@
                libglib2.0-dev (>= 2.31.10),
                libatk1.0-dev (>= 1.0.0),
                itstool,
-               meson (>= 0.37.0)
-Standards-Version: 4.4.0
+               meson (>= 0.50.0)
+Standards-Version: 4.6.0
 X-Ubuntu-Use-Langpack: yes
 Vcs-Browser: https://salsa.debian.org/gnome-team/ghex
 Vcs-Git: https://salsa.debian.org/gnome-team/ghex.git

## ghex 3.41.1

=== debian/changelog ===
ghex (3.41.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 04 Dec 2021 16:24:57 -0500

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Michael Biebl <biebl@debian.org>
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper-compat (= 12),
                desktop-file-utils,
                dh-sequence-gnome,

## ghex 42.2

=== debian/changelog ===
ghex (42.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 26 Apr 2022 17:16:41 -0400

ghex (42.1-3) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 21 Apr 2022 12:06:13 -0400

ghex (42.1-2) experimental; urgency=medium

  * Release to unstable

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 21 Apr 2022 11:46:26 -0400

ghex (42.1-1) experimental; urgency=medium

  * New upstream release
  * Build with gtk4
  * Rename libgtkhex-3-0 & libgtkhex-3-dev to libgtkhex-4-0 & libgtkhex-4-dev
  * debian/libgtkhex-4-0.install: Install libhex-buffer-mmap.so
  * debian/control.in: Bump minimum meson & glib
  * debian/control.in: Build-Depend on appstream-util for build test
  * debian/copyright: Convert to 1.0 format
  * Bump debhelper-compat to 13
  * Add debian/upstream/metadata
  * Set Rules-Requires-Root: no
  * Add patch to work around meson bug 1008189

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 18 Apr 2022 15:19:27 -0400

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: ghex
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
Build-Depends: debhelper-compat (= 13),
               appstream-util <!nocheck>,
               desktop-file-utils,
               dh-sequence-gnome,
               libgtk-4-dev,
               libglib2.0-dev (>= 2.66.0),
               itstool,
               meson (>= 0.59.0)
Standards-Version: 4.6.0
Rules-Requires-Root: no
X-Ubuntu-Use-Langpack: yes
Vcs-Browser: https://salsa.debian.org/gnome-team/ghex
Vcs-Git: https://salsa.debian.org/gnome-team/ghex.git
Homepage: https://wiki.gnome.org/Apps/Ghex

Package: libgtkhex-4-0
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: GNOME Hex editor for files (shared library)
 The GHex program can view and edit files in two ways, hex or ascii. Good
 for editing saved game files.
 .
 This package contains the shared library.

Package: libgtkhex-4-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends},
         libgtkhex-4-0 (= ${binary:Version}),
         libgtk-4-dev
Description: GNOME Hex editor for files (development headers)
 The GHex program can view and edit files in two ways, hex or ascii. Good
 for editing saved game files.
 .
 This package contains the development headers.

Package: ghex
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: GNOME Hex editor for files
 The GHex program can view and edit files in two ways, hex or ascii. Good
 for editing saved game files.

## ghex 42.3

=== debian/changelog ===
ghex (42.3-1) unstable; urgency=medium

  * New upstream release

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Mon, 13 Jun 2022 21:27:10 +0200

## ghex 43~alpha

=== debian/changelog ===
ghex (43~alpha-1~fakesync1) kinetic; urgency=medium

  * Upload to ubuntu, while it's still in debian's NEW queue

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 25 Aug 2022 13:04:01 +0200

ghex (43~alpha-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Rename library for soname bump
  * Update symbols file
  * Update install file
  * libadwaita-1-dev is build dependency

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Tue, 23 Aug 2022 18:49:47 -0300

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,14 @@
 Source: ghex
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper-compat (= 13),
                appstream-util <!nocheck>,
                desktop-file-utils,
                dh-sequence-gnome,
+               libadwaita-1-dev,
                libgtk-4-dev,
                libglib2.0-dev (>= 2.66.0),
                itstool,
@@ -22,7 +24,7 @@
 Vcs-Git: https://salsa.debian.org/gnome-team/ghex.git
 Homepage: https://wiki.gnome.org/Apps/Ghex
 
-Package: libgtkhex-4-0
+Package: libgtkhex-4-1
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -40,7 +42,7 @@
 Multi-Arch: same
 Section: libdevel
 Depends: ${misc:Depends},
-         libgtkhex-4-0 (= ${binary:Version}),
+         libgtkhex-4-1 (= ${binary:Version}),
          libgtk-4-dev
 Description: GNOME Hex editor for files (development headers)
  The GHex program can view and edit files in two ways, hex or ascii. Good

## ghex 43~rc

=== debian/changelog ===
ghex (43~rc-1) unstable; urgency=medium

  * New upstream release
  * Drop all patches: no longer needed

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 21 Sep 2022 15:48:13 -0400

ghex (43~alpha-4) unstable; urgency=medium

  * Cherry-pick patch to fix file conflict with gnome-text-editor
    (Closes: #1018731)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 07 Sep 2022 17:38:43 -0400

ghex (43~alpha-3) unstable; urgency=medium

  * debian/control.in: Add Breaks/Replaces against libgtk-4-1 (Closes: #1018686)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 28 Aug 2022 22:21:53 -0400

ghex (43~alpha-2) unstable; urgency=medium

  * Rebuild after NEW acceptance

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 28 Aug 2022 16:27:51 -0400

## ghex 43.0

=== debian/changelog ===
ghex (43.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 06 Oct 2022 15:46:40 -0400

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,7 @@
 Source: ghex
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper-compat (= 13),
                appstream-util <!nocheck>,
@@ -31,6 +30,8 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
          ${misc:Depends}
+Breaks: libgtkhex-4-0
+Replaces: libgtkhex-4-0
 Description: GNOME Hex editor for files (shared library)
  The GHex program can view and edit files in two ways, hex or ascii. Good
  for editing saved game files.

## ghex 43.1

=== debian/changelog ===
ghex (43.1-1) unstable; urgency=medium

  * New upstream release
  * Update standards version to 4.6.2

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 09 Feb 2023 12:13:10 -0500

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
+Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                appstream-util <!nocheck>,
                desktop-file-utils,
@@ -16,7 +16,7 @@
                libglib2.0-dev (>= 2.66.0),
                itstool,
                meson (>= 0.59.0)
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 X-Ubuntu-Use-Langpack: yes
 Vcs-Browser: https://salsa.debian.org/gnome-team/ghex

## ghex 44~rc

=== debian/changelog ===
ghex (44~rc-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 10 Mar 2023 07:45:38 -0500

ghex (44~beta-1) experimental; urgency=medium

  * New upstream release
  * debian/libgtkhex-4-1.symbols: Add new symbol

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 14 Feb 2023 09:09:40 -0500

## ghex 44.0

=== debian/changelog ===
ghex (44.0-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 27 Mar 2023 16:27:07 -0400

## ghex 44.1

=== debian/changelog ===
ghex (44.1-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 21 Jul 2023 12:19:13 -0400

ghex (44.1-1) experimental; urgency=medium

  * Team upload
  * New upstream release
    - hex-dialog: Prevent decimal display widgets from getting truncated
      (Jordan Christiansen)

 -- Amin Bandali <bandali@ubuntu.com>  Thu, 27 Apr 2023 14:41:03 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
+Uploaders: Amin Bandali <bandali@ubuntu.com>, Jeremy Bícha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper-compat (= 13),
                appstream-util <!nocheck>,
                desktop-file-utils,

## ghex 45~beta

=== debian/changelog ===
ghex (45~beta-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 23 Aug 2023 10:12:28 -0400

ghex (44.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 18 Aug 2023 08:01:52 -0400

## ghex 45.0

=== debian/changelog ===
ghex (45.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 25 Oct 2023 12:59:09 -0400

## ghex 45.1

=== debian/changelog ===
ghex (45.1-1) unstable; urgency=medium

  * New upstream release
  * Stop using debian/control.in and dh-sequence-gnome

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 27 Nov 2023 09:00:10 -0500

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,11 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: ghex
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Amin Bandali <bandali@ubuntu.com>, Jeremy Bícha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
+Uploaders: Amin Bandali <bandali@ubuntu.com>, Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                appstream-util <!nocheck>,
                desktop-file-utils,
-               dh-sequence-gnome,
                libadwaita-1-dev,
                libgtk-4-dev,
                libglib2.0-dev (>= 2.66.0),
@@ -18,7 +13,6 @@
                meson (>= 0.59.0)
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
-X-Ubuntu-Use-Langpack: yes
 Vcs-Browser: https://salsa.debian.org/gnome-team/ghex
 Vcs-Git: https://salsa.debian.org/gnome-team/ghex.git
 Homepage: https://wiki.gnome.org/Apps/Ghex

## ghex 46.0

=== debian/changelog ===
ghex (46.0-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 05:44:47 +0000

ghex (46.0-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum libadwaita to 1.2
  * debian/libgtkhex-4-1.symbols: Add new symbols

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 27 Mar 2024 18:56:41 -0400

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: ghex
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Amin Bandali <bandali@ubuntu.com>, Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                appstream-util <!nocheck>,
                desktop-file-utils,
-               libadwaita-1-dev,
+               libadwaita-1-dev (>= 1.2),
                libgtk-4-dev,
                libglib2.0-dev (>= 2.66.0),
                itstool,

## ghex 46.1

=== debian/changelog ===
ghex (46.1-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 15 Nov 2024 17:47:05 -0500

## ghex 46.2

=== debian/changelog ===
ghex (46.2-2) unstable; urgency=medium

  * Team upload
  * Add use-appstreamcli.patch: Use appstreamcli for validation
    - This replaces the deprecated appstream-util

 -- Matthias Klumpp <mak@debian.org>  Sat, 03 May 2025 14:55:23 +0200

ghex (46.2-1) unstable; urgency=medium

  * New upstream release
    - Fix freeze with Copy Special (LP: #2067596)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 10 Feb 2025 08:14:43 -0500

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: ghex
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Amin Bandali <bandali@ubuntu.com>, Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
-               appstream-util <!nocheck>,
+               appstream <!nocheck>,
                desktop-file-utils,
                libadwaita-1-dev (>= 1.2),
                libgtk-4-dev,
                libglib2.0-dev (>= 2.66.0),
                itstool,
                meson (>= 0.59.0)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/gnome-team/ghex
 Vcs-Git: https://salsa.debian.org/gnome-team/ghex.git

## ghex 48.1

=== debian/changelog ===
ghex (48.1-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum gtk4 and libadwaita
  * debian/libgtkhex-4-1.symbols: Add new symbols
  * Remove remaining patch: applied in new release
  * Bump Standards Version to 4.7.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 22 Oct 2025 19:26:16 -0400

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,12 @@
 Build-Depends: debhelper-compat (= 13),
                appstream <!nocheck>,
                desktop-file-utils,
-               libadwaita-1-dev (>= 1.2),
-               libgtk-4-dev,
+               libadwaita-1-dev (>= 1.7),
+               libgtk-4-dev (>= 4.17.5),
                libglib2.0-dev (>= 2.66.0),
                itstool,
                meson (>= 0.59.0)
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/ghex
 Vcs-Git: https://salsa.debian.org/gnome-team/ghex.git
 Homepage: https://wiki.gnome.org/Apps/Ghex

## ghex 48.3

=== debian/changelog ===
ghex (48.3-2) unstable; urgency=medium

  * Move Maintainer from Debian GNOME to Debian GNOME Extras
  * Add Build-Depends: libxml2-utils for xmllint
  * Bump Standards Version to 4.7.3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 11 Jan 2026 16:48:33 -0500

ghex (48.3-1) unstable; urgency=medium

  * New upstream release
  * debian/libgtkhex-4-1.symbols: Add new symbol

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 04 Nov 2025 21:05:13 -0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: ghex
 Section: gnome
-Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Amin Bandali <bandali@ubuntu.com>, Jeremy Bícha <jbicha@ubuntu.com>
+Maintainer: Debian GNOME Extras Maintainers <pkg-gnome-extras-maintainers@lists.alioth.debian.org>
+Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                appstream <!nocheck>,
                desktop-file-utils,
@@ -10,10 +9,11 @@
                libgtk-4-dev (>= 4.17.5),
                libglib2.0-dev (>= 2.66.0),
                itstool,
+               libxml2-utils,
                meson (>= 0.59.0)
-Standards-Version: 4.7.2
-Vcs-Browser: https://salsa.debian.org/gnome-team/ghex
-Vcs-Git: https://salsa.debian.org/gnome-team/ghex.git
+Standards-Version: 4.7.3
+Vcs-Browser: https://salsa.debian.org/gnome-team/extras/ghex
+Vcs-Git: https://salsa.debian.org/gnome-team/extras/ghex.git
 Homepage: https://wiki.gnome.org/Apps/Ghex
 
 Package: libgtkhex-4-1
